org.crosswire.bibledesktop.display.basic

## Class LazyHTMLEditorKit

- java.lang.Object
- - javax.swing.text.EditorKit
  - - javax.swing.text.DefaultEditorKit
    - - javax.swing.text.StyledEditorKit
      - - javax.swing.text.html.HTMLEditorKit
        - - org.crosswire.bibledesktop.display.basic.LazyHTMLEditorKit

- All Implemented Interfaces:
    Serializable, Cloneable, Accessible

      public class LazyHTMLEditorKit
      extends HTMLEditorKit

  Author:
    Yingjie Lan
  See Also:
    `for license details.`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.html.HTMLEditorKit

      `HTMLEditorKit.HTMLFactory, HTMLEditorKit.HTMLTextAction, HTMLEditorKit.InsertHTMLTextAction, HTMLEditorKit.LinkController, HTMLEditorKit.Parser, HTMLEditorKit.ParserCallback`

    - ### Nested classes/interfaces inherited from class javax.swing.text.StyledEditorKit

      `StyledEditorKit.AlignmentAction, StyledEditorKit.BoldAction, StyledEditorKit.FontFamilyAction, StyledEditorKit.FontSizeAction, StyledEditorKit.ForegroundAction, StyledEditorKit.ItalicAction, StyledEditorKit.StyledTextAction, StyledEditorKit.UnderlineAction`

    - ### Nested classes/interfaces inherited from class javax.swing.text.DefaultEditorKit

      `DefaultEditorKit.BeepAction, DefaultEditorKit.CopyAction, DefaultEditorKit.CutAction, DefaultEditorKit.DefaultKeyTypedAction, DefaultEditorKit.InsertBreakAction, DefaultEditorKit.InsertContentAction, DefaultEditorKit.InsertTabAction, DefaultEditorKit.PasteAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private HTMLEditorKit.LinkController` | `linkCtrl`
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class javax.swing.text.html.HTMLEditorKit

      `BOLD_ACTION, COLOR_ACTION, DEFAULT_CSS, FONT_CHANGE_BIGGER, FONT_CHANGE_SMALLER, IMG_ALIGN_BOTTOM, IMG_ALIGN_MIDDLE, IMG_ALIGN_TOP, IMG_BORDER, ITALIC_ACTION, LOGICAL_STYLE_ACTION, PARA_INDENT_LEFT, PARA_INDENT_RIGHT`

    - ### Fields inherited from class javax.swing.text.DefaultEditorKit

      `backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deleteNextWordAction, deletePrevCharAction, deletePrevWordAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyHTMLEditorKit()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deinstall(JEditorPane c)` Called when the kit is being removed from the JEditorPane.
    `HTMLEditorKit.LinkController` | `getLinkCtrl()`
    `void` | `install(JEditorPane c)` Called when the kit is being installed into the a JEditorPane.

    - ### Methods inherited from class javax.swing.text.html.HTMLEditorKit

      `clone, createDefaultDocument, createInputAttributes, getAccessibleContext, getActions, getContentType, getDefaultCursor, getInputAttributes, getLinkCursor, getParser, getStyleSheet, getViewFactory, insertHTML, isAutoFormSubmission, read, setAutoFormSubmission, setDefaultCursor, setLinkCursor, setStyleSheet, write`

    - ### Methods inherited from class javax.swing.text.StyledEditorKit

      `getCharacterAttributeRun`

    - ### Methods inherited from class javax.swing.text.DefaultEditorKit

      `createCaret, read, write`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### linkCtrl

          private HTMLEditorKit.LinkController linkCtrl

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LazyHTMLEditorKit

          public LazyHTMLEditorKit()

  - ### Method Detail

    - #### install

          public void install(JEditorPane c)

      Called when the kit is being installed into the a JEditorPane.
      Overrides:
        `install` in class `HTMLEditorKit`
      Parameters:
        `c` - the JEditorPane

    - #### deinstall

          public void deinstall(JEditorPane c)

      Called when the kit is being removed from the JEditorPane. This is used to unregister any listeners that were attached.
      Overrides:
        `deinstall` in class `HTMLEditorKit`
      Parameters:
        `c` - the JEditorPane

    - #### getLinkCtrl

          public HTMLEditorKit.LinkController getLinkCtrl()